Subject: Re: [PATCH net-next v2] net: phy: micrel: Make the GPIO to be non-exclusive

From: Jakub Kicinski <[email-masked]>
Date: Fri, 26 Aug 2022 18:37:11 -0700

On Thu, 25 Aug 2022 22:16:31 +0200 Andrew Lunn wrote:
> On Thu, Aug 25, 2022 at 10:14:47PM +0200, Horatiu Vultur wrote:
> > The same GPIO line can be shared by multiple phys for the coma mode pin.
> > If that is the case then, all the other phys that share the same line
> > will failed to be probed because the access to the gpio line is not
> > non-exclusive.
> > Fix this by making access to the gpio line to be nonexclusive using flag
> > GPIOD_FLAGS_BIT_NONEXCLUSIVE. This allows all the other PHYs to be
> > probed.
> > 
> > Fixes: 738871b09250ee ("net: phy: micrel: add coma mode GPIO")
> > Signed-off-by: Horatiu Vultur <[email-masked]>  
> 
> Reviewed-by: Andrew Lunn <[email-masked]>

The tree name switch in the subject compared to v1 is unintentional?